<?php

namespace App\Console\Commands\SmartPush;

use Illuminate\Console\Command;
use App\Modules\OfficialAccount\Services\CustomMsgService;
class PaidUserCustom extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'SmartPush:PaidUserCustom';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '已付费用户6小时后推送客服消息';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
    	$this->pay_user_custom();
    }

    public function pay_user_custom(){
    	CustomMsgService::SmartPush('pay_daily_push');
    }

}
